lwIP 2.1.2 Lightweight IP stack

Data Fields
mdns_packet Struct Reference

## Data Fields
ip_addr_t | source_addr
u16_t | recv_unicast
struct netif * | netif
struct pbuf * | pbuf
u16_t | parse_offset
u16_t | tx_id
u16_t | questions
u16_t | questions_left
u16_t | answers
u16_t | answers_left

## Detailed Description

Information about received packet

## Field Documentation

## ◆ answers

u16_t mdns_packet::answers

Number of answers in packet, (sum of normal, authoritative and additional answers) read from packet header

## ◆ answers_left

u16_t mdns_packet::answers_left

Number of unparsed answers

## ◆ netif

struct netif* mdns_packet::netif

Netif that received the packet

## ◆ parse_offset

u16_t mdns_packet::parse_offset

Current parsing offset in packet

## ◆ pbuf

struct pbuf* mdns_packet::pbuf

Packet data

## ◆ questions

u16_t mdns_packet::questions

Number of questions in packet, read from packet header

## ◆ questions_left

u16_t mdns_packet::questions_left

Number of unparsed questions

## ◆ recv_unicast

u16_t mdns_packet::recv_unicast

If packet was received unicast

## ◆ source_addr

ip_addr_t mdns_packet::source_addr

Sender IP/port

## ◆ tx_id

u16_t mdns_packet::tx_id

Identifier. Used in legacy queries

The documentation for this struct was generated from the following file:

- src/apps/mdns/mdns.c